
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 品牌店铺关联信息
 *
 * @author tmerclub
 * @date 2021-05-08 13:31:45
 */
public class BrandShop extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long brandShopId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 品牌id
     */
    private Long brandId;

    /**
     * 授权资质图片，以,分割
     */
    private String qualifications;

    /**
     * 类型 0：平台品牌，1：店铺自定义品牌
     */
    private Integer type;

    /**
     * 关联系统类型 1.店铺 2.平台端 3.供应商
     */
    private Integer sysType;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Long getBrandShopId() {
        return brandShopId;
    }

    public void setBrandShopId(Long brandShopId) {
        this.brandShopId = brandShopId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getBrandId() {
        return brandId;
    }

    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

    public String getQualifications() {
        return qualifications;
    }

    public void setQualifications(String qualifications) {
        this.qualifications = qualifications;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "BrandShop{" +
                "brandShopId=" + brandShopId +
                ", shopId=" + shopId +
                ", brandId=" + brandId +
                ", qualifications='" + qualifications + '\'' +
                ", type=" + type +
                ", sysType=" + sysType +
                '}';
    }
}
